freeslot(
	"MT_MOTOBUG"
)

local Ch = CBW_Chaos
local Lib = CBW_Chaos_Library

//Chaos Compatibility
local info = mobjinfo[MT_MOTOBUG]
info.name = "Motobug"
info.article = "a"
info.chaosmode = true
info.difficulty = 1
info.spawnweight = 2
info.spawnbiome = 'grass'
info.spawntype = 'enemy'
info.spawnsubtype = 'land'
info.spawnfrequency = 6
info.painchance = 6
info.flashingtime = 24
info.seesound = sfx_spkdth
info.bumptype = 0
info.flincharmor = true
info.scale = FRACUNIT

addHook('MobjSpawn',function(mo)
	if CBW_Chaos_Library
		CBW_Chaos_Library.EnemyInit(mo)
	end
end,MT_MOTOBUG)

addHook('MobjThinker',function(mo)
	if CBW_Chaos_Library
		CBW_Chaos_Library.MobjCheckWater(mo)
		if CBW_Chaos_Library.EnemyTic_Flashing(mo)
			return false
		end
	end
end,MT_MOTOBUG)
//Randomly Rotates if no players found
//would be cool if it roamed but since idk lua so
addHook('MobjThinker',function(mo)
	if CBW_Chaos_Library
		mo.target = CBW_Chaos_Library.SearchForPlayers(mo, mo.scale*960, true)
		if not(mo.target) and P_RandomChance(FRACUNIT>>4)
			mo.angle = $+ANGLE_45*(P_RandomChance(FRACUNIT>>1) and 1 or -1)
		end
	end
end,MT_MOTOBUG)